#!/bin/bash

OPENCV_VERSION=3.4

install_name_tool -add_rpath @loader_path/.. ShuttleTracker
install_name_tool -change /opt/local/libexec/qt5/lib/QtCore.framework/Versions/5/QtCore             @rpath/Resources/QtCore       ShuttleTracker 
install_name_tool -change /opt/local/libexec/qt5/lib/QtGui.framework/Versions/5/QtGui               @rpath/Resources/QtGui        ShuttleTracker   
install_name_tool -change /opt/local/libexec/qt5/lib/QtWidgets.framework/Versions/5/QtWidgets       @rpath/Resources/QtWidgets    ShuttleTracker      
install_name_tool -change /opt/local/libexec/qt5/lib/QtConcurrent.framework/Versions/5/QtConcurrent @rpath/Resources/QtConcurrent ShuttleTracker
install_name_tool -change /opt/local/libexec/qt5/lib/QtNetwork.framework/Versions/5/QtNetwork       @rpath/Resources/QtNetwork    ShuttleTracker
install_name_tool -change /opt/local/libexec/qt5/lib/QtScript.framework/Versions/5/QtScript         @rpath/Resources/QtScript     ShuttleTracker

install_name_tool -change /opt/local/lib/libboost_system-mt.dylib     @rpath/Resources/libboost_system-mt.dylib     ShuttleTracker
install_name_tool -change /opt/local/lib/libboost_filesystem-mt.dylib @rpath/Resources/libboost_filesystem-mt.dylib ShuttleTracker
install_name_tool -change /opt/local/lib/libboost_regex-mt.dylib      @rpath/Resources/libboost_regex-mt.dylib      ShuttleTracker


install_name_tool -change /opt/local/lib/libopencv_dnn.${OPENCV_VERSION}.dylib        @rpath/Resources/libopencv_dnn.${OPENCV_VERSION}.dylib       ShuttleTracker
install_name_tool -change /opt/local/lib/libopencv_ml.${OPENCV_VERSION}.dylib         @rpath/Resources/libopencv_ml.${OPENCV_VERSION}.dylib        ShuttleTracker
install_name_tool -change /opt/local/lib/libopencv_objdetect.${OPENCV_VERSION}.dylib  @rpath/Resources/libopencv_objdetect.${OPENCV_VERSION}.dylib ShuttleTracker
install_name_tool -change /opt/local/lib/libopencv_shape.${OPENCV_VERSION}.dylib      @rpath/Resources/libopencv_shape.${OPENCV_VERSION}.dylib     ShuttleTracker
install_name_tool -change /opt/local/lib/libopencv_stitching.${OPENCV_VERSION}.dylib  @rpath/Resources/libopencv_stitching.${OPENCV_VERSION}.dylib ShuttleTracker
install_name_tool -change /opt/local/lib/libopencv_superres.${OPENCV_VERSION}.dylib   @rpath/Resources/libopencv_superres.${OPENCV_VERSION}.dylib  ShuttleTracker
install_name_tool -change /opt/local/lib/libopencv_videostab.${OPENCV_VERSION}.dylib  @rpath/Resources/libopencv_videostab.${OPENCV_VERSION}.dylib ShuttleTracker
install_name_tool -change /opt/local/lib/libopencv_calib3d.${OPENCV_VERSION}.dylib    @rpath/Resources/libopencv_calib3d.${OPENCV_VERSION}.dylib   ShuttleTracker
install_name_tool -change /opt/local/lib/libopencv_features2d.${OPENCV_VERSION}.dylib @rpath/Resources/libopencv_features2d.${OPENCV_VERSION}.dylib ShuttleTracker
install_name_tool -change /opt/local/lib/libopencv_flann.${OPENCV_VERSION}.dylib      @rpath/Resources/libopencv_flann.${OPENCV_VERSION}.dylib     ShuttleTracker
install_name_tool -change /opt/local/lib/libopencv_highgui.${OPENCV_VERSION}.dylib    @rpath/Resources/libopencv_highgui.${OPENCV_VERSION}.dylib   ShuttleTracker
install_name_tool -change /opt/local/lib/libopencv_photo.${OPENCV_VERSION}.dylib      @rpath/Resources/libopencv_photo.${OPENCV_VERSION}.dylib     ShuttleTracker
install_name_tool -change /opt/local/lib/libopencv_video.${OPENCV_VERSION}.dylib      @rpath/Resources/libopencv_video.${OPENCV_VERSION}.dylib     ShuttleTracker
install_name_tool -change /opt/local/lib/libopencv_videoio.${OPENCV_VERSION}.dylib    @rpath/Resources/libopencv_videoio.${OPENCV_VERSION}.dylib   ShuttleTracker
install_name_tool -change /opt/local/lib/libopencv_imgcodecs.${OPENCV_VERSION}.dylib  @rpath/Resources/libopencv_imgcodecs.${OPENCV_VERSION}.dylib ShuttleTracker
install_name_tool -change /opt/local/lib/libopencv_imgproc.${OPENCV_VERSION}.dylib    @rpath/Resources/libopencv_imgproc.${OPENCV_VERSION}.dylib   ShuttleTracker
install_name_tool -change /opt/local/lib/libopencv_core.${OPENCV_VERSION}.dylib       @rpath/Resources/libopencv_core.${OPENCV_VERSION}.dylib      ShuttleTracker
