// ShuttleTracker, a tracker of nucleocytoplasmic trafficking in cells
//
// Copyright (C)  2015-2023  Marek Kochanczyk <mkochan:at:ippt.pan.pl>
//
// This program is free software: you can redistribute it and/or modify it
// under the terms of the GNU GPL version 3. See LICENSE.md for details.

#include "MainWindow.hpp"
#include "ui_MainWindow.h"

void MainWindow::on_actionScriptEdit_triggered()
{
  if (not script_window_) { setupScripting_(); }
  script_window_->raise();
  script_window_->show();
}


void MainWindow::menuScriptEnable_(bool on)
{ ui_->menuScript->setEnabled(on); }


void MainWindow::menuScriptUpdate_()
{
  assert(script_window_.get());
  script_window_->seizeScriptFilesList();
}
