// ShuttleTracker, a tracker of nucleocytoplasmic trafficking in cells
//
// Copyright (C)  2015-2023  Marek Kochanczyk <mkochan:at:ippt.pan.pl>
//
// This program is free software: you can redistribute it and/or modify it
// under the terms of the GNU GPL version 3. See LICENSE.md for details.

#ifndef SHUTTLETRACKER_GUI_GUICOMMON_HPP
#define SHUTTLETRACKER_GUI_GUICOMMON_HPP

#include "Image/ImageSequence.hpp"

using ImageSequence = st::ImageSequence;
using ImageChannel = ImageSequence::Channel;
using ImageFilter = ImageSequence::ImageFilter;

#endif // !defined(SHUTTLETRACKER_GUI_GUICOMMON_HPP)
