// ShuttleTracker, a tracker of nucleocytoplasmic trafficking in cells
//
// Copyright (C)  2015-2023  Marek Kochanczyk <mkochan:at:ippt.pan.pl>
//
// This program is free software: you can redistribute it and/or modify it
// under the terms of the GNU GPL version 3. See LICENSE.md for details.

#ifndef SHUTTLETRACKER_GUI_WINDOWS_ABOUTDIALOG_HPP
#define SHUTTLETRACKER_GUI_WINDOWS_ABOUTDIALOG_HPP

#include "GUI/GUICommon.hpp"
#include <QDialog>

namespace Ui { class AboutDialog; }

class AboutDialog : public QDialog
{
  Q_OBJECT

public:
  explicit AboutDialog(QWidget* parent=nullptr);
  ~AboutDialog() OVERRIDE;

  void tellScriptsDirPath(QString const& dir_path);

private:
  Ui::AboutDialog *ui_;
  QString scripts_dir_path_ = "?";
};

#endif // !defined(SHUTTLETRACKER_GUI_WINDOWS_ABOUTDIALOG_HPP)
