// ShuttleTracker, a tracker of nucleocytoplasmic trafficking in cells
//
// Copyright (C)  2015-2023  Marek Kochanczyk <mkochan:at:ippt.pan.pl>
//
// This program is free software: you can redistribute it and/or modify it
// under the terms of the GNU GPL version 3. See LICENSE.md for details.

#ifndef SHUTTLETRACKER_GUI_WINDOWS_HELPWINDOW_HPP
#define SHUTTLETRACKER_GUI_WINDOWS_HELPWINDOW_HPP

#include "GUI/GUICommon.hpp"
#include <QWidget>

namespace Ui { class HelpWindow; }

class HelpWindow : public QWidget
{
  Q_OBJECT

public:
  explicit HelpWindow(QWidget* parent=nullptr);
  ~HelpWindow() OVERRIDE;

protected:
  Ui::HelpWindow* ui_;
};

#endif // !defined(SHUTTLETRACKER_GUI_WINDOWS_HELPWINDOW_HPP)
