// ShuttleTracker, a tracker of nucleocytoplasmic trafficking in cells
//
// Copyright (C)  2015-2023  Marek Kochanczyk <mkochan:at:ippt.pan.pl>
//
// This program is free software: you can redistribute it and/or modify it
// under the terms of the GNU GPL version 3. See LICENSE.md for details.

#ifndef SHUTTLETRACKER_GUI_WINDOWS_LOGWINDOW_HPP
#define SHUTTLETRACKER_GUI_WINDOWS_LOGWINDOW_HPP

#include "GUI/GUICommon.hpp"
#include "RichTextDialog.hpp"

class LogWindow : public RichTextDialog {
  Q_OBJECT

public:
  explicit LogWindow(QStringList const&, QWidget* parent);

};

#endif // !defined(SHUTTLETRACKER_GUI_WINDOWS_LOGWINDOW_HPP)
