// ShuttleTracker, a tracker of nucleocytoplasmic trafficking in cells
//
// Copyright (C)  2015-2023  Marek Kochanczyk <mkochan:at:ippt.pan.pl>
//
// This program is free software: you can redistribute it and/or modify it
// under the terms of the GNU GPL version 3. See LICENSE.md for details.

#include "MainWindow.hpp"
#include "ui_MainWindow.h"

// slot
void MainWindow::on_actionOpenDirectory_triggered()
{ loadImagesFromDirectory(""); }


void MainWindow::on_actionReloadSettings_triggered()
{
  loadSettings_(false);
  message_('I', "Settings reloaded.", 2000);
}


// slot
void MainWindow::on_actionQuit_triggered()
{ QApplication::exit(); }
