// ShuttleTracker, a tracker of nucleocytoplasmic trafficking in cells
//
// Copyright (C)  2015-2023  Marek Kochanczyk <mkochan:at:ippt.pan.pl>
//
// This program is free software: you can redistribute it and/or modify it
// under the terms of the GNU GPL version 3. See LICENSE.md for details.

#include "MainWindow.hpp"
#include "ui_MainWindow.h"

void MainWindow::on_actionFullScreenToggle_triggered()
{
  QAction *const a = ui_->actionFullScreenToggle;
  QString const& on  = sWinGoFull,
                 off = sWinExitFull;
  if      (a->text() == on)  { this->showFullScreen(); a->setText(off); }
  else if (a->text() == off) { this->showNormal();     a->setText(on);  }
}
